%define _realname RadialContext
%define _chromedir %_libdir/mozilla/chrome

Name: mozilla-addon-radialcontext
# Version number is artificial :-\ and based on the date of last source
# modification. As this package is in 1.0 release candidate stage,
# we append "0." to date string to build version string.
Version: 0.20030813
Release: alt1
Summary: Hierarchical, context-sensitive pie menu for Mozilla
License: GPL
URL: http://optimoz.mozdev.org/piemenus/
# see also http://www.radialthinking.de/radialcontext/
Group: Networking/WWW
Packager: Victor Forsyuk <force@altlinux.ru>
Source0: http://www.radialthinking.de/radialcontext/%{_realname}.xpi
Source1: installed-chrome-%_realname.txt
BuildArch: noarch
BuildRequires: unzip
Requires: mozilla >= 1.4-alt5

%description
The RadialContext menu is a hierarchical, context-sensitive pie menu
for Mozilla. It offers an alternative to both the normal context menu
and mouse gestures. The feeling is very similar to mouse gestures.
But there also is a GUI so you don't have to look up whatoptions are
available in the given context.

%prep

%install
install -d $RPM_BUILD_ROOT%_chromedir
unzip %{SOURCE0} -d $RPM_BUILD_ROOT%_chromedir
rm -f $RPM_BUILD_ROOT%_chromedir/install*
install -m644 %_sourcedir/installed-chrome-%_realname.txt $RPM_BUILD_ROOT%_chromedir

# fix permissions
chmod -R g=r,o=r $RPM_BUILD_ROOT%_chromedir/radialcontext/

# this addon changes chrome.rdf, so we call rebuild-databases.sh
# in (post)installation script!

%files
%_chromedir/radialcontext
%_chromedir/installed-chrome-%_realname.txt

%post
umask 022
cat %{_chromedir}/installed-chrome-*.txt >%{_chromedir}/installed-chrome.txt
/usr/lib/mozilla/rebuild-databases.sh

%postun
umask 022
cat %{_chromedir}/installed-chrome-*.txt >%{_chromedir}/installed-chrome.txt
/usr/lib/mozilla/rebuild-databases.sh

%changelog
* Mon Sep 01 2003 Victor Forsyuk <force@altlinux.ru> 0.20030813-alt1
- Initial build for Sisyphus.
